Ankündigung

Einklappen
Keine Ankündigung bisher.

Fehlermeldung: End of script output before headers: index.php

Einklappen

Neue Werbung 2019

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • Fehlermeldung: End of script output before headers: index.php

    Ich betreibe mehrere SMF-Foren mit alten Versionsnummern unter php 5.6.
    Ohne verständlichen Grund ist ein Forum plötzlich nicht mehr erreichbar. Ein weiteres Forum mit derselben Versionsnummer beim selben Internet-Provider ist erreichbar und hat das normale Verhalten.

    Im Server-log des Providers findet man die folgende Fehlermeldung: "End of script output before headers: index.php"
    Kann mir jemand weiterhelfen, was kann ich tun, um mein Problem zu lösen?

    Das einzige, was mir bisher aufgefallen ist, die UNIX-Zugriffsrechte sind nicht identisch.
    Das funktionierende Forum hat bei vielen Files die Zugriffsrechte 0755
    Das nicht funktionierende Forum 0644

    Danke

  • erc
    antwortet
    Zitat von Gerd pd Beitrag anzeigen
    Im Server-log des Providers findet man die folgende Fehlermeldung: "End of script output before headers: index.php"
    Das ist das falsche Log. Das sagt nur beim Ausführen ist was schief gegangen, aber nicht was. Ggf. beim Hoster nachfragen ob es eine error log von PHP gibt.

    Zitat von Gerd pd Beitrag anzeigen
    1) Die alten Versionen laufen über Jahre problemlos weiter. Ich betreibe die Foren ohne kommerziele Aspekte und nebenbei. Der administrative Aufwand sollte gering sein.
    Technik entwickelt sich weiter, insbesondere in dem Umfeld. Ohne Wartung gehts nicht.

    Einen Kommentar schreiben:


  • protestix
    antwortet
    Hier hoffe ich, eine nähere Erklärung zur Fehlermeldung zu bekommen, mit der ich debuggen kann.
    Es gibt keine nähere Erklärung dazu.
    Software oder Plugin passt nicht zur PHP Version ist die Antwort, die vom Hoster kam und das ist es.

    Wenn du das selber beheben willst, dann schalte das Error-Reporting von PHP ein und behebe die Fehler die dir PHP meldet.
    Einfacher wird es aber sein die Software zu aktualisieren, wie im SMF Forum empfohlen.

    Einen Kommentar schreiben:


  • Gerd pd
    antwortet
    Zitat von protestix Beitrag anzeigen
    Naja, im anderen Forum wird ja schon darauf verwiesen, dass du eine veraltete Software auf abgelaufener PHP Version betreibst.
    Mehr ist dazu eigentlich nicht zu sagen.

    Auf das Multipost, also das Posten des gleichen Problems in mehreren Foren solltest du nächstes mal verzichten, da gegen die Forenregeln.
    1) Die alten Versionen laufen über Jahre problemlos weiter. Ich betreibe die Foren ohne kommerziele Aspekte und nebenbei. Der administrative Aufwand sollte gering sein.

    2) Hier frage ich nichts Spezifisches zum SMF-Forum, sondern zur Fehlermeldung, die auf ein Problem im Zusammenhang mit php hinweist. Im SMF-Forum habe ich zur Fehlermeldung keine Erläuterung erhalten. Es würde mich freuen, wenn mir jemand hier die Fehlermeldung erläutert, damit ich mir die Stelle genauer ansehen kann.

    Einen Kommentar schreiben:


  • protestix
    antwortet
    Naja, im anderen Forum wird ja schon darauf verwiesen, dass du eine veraltete Software auf abgelaufener PHP Version betreibst.
    Mehr ist dazu eigentlich nicht zu sagen.

    Auf das Multipost, also das Posten des gleichen Problems in mehreren Foren solltest du nächstes mal verzichten, da gegen die Forenregeln.

    Einen Kommentar schreiben:


  • Gerd pd
    antwortet
    Zitat von protestix Beitrag anzeigen
    Es scheint auch so, dass es was mit den File Permissions zu tun hat, die Frage ist nur warum es jetzt nicht geht, wenn es vorher ging.

    Ein erster Anlaufpunkt wäre sicherlich der Hoster.
    Frage den doch mal. Der weiss sicher mehr als wir dir je verraten können, aufgrund deiner Angaben.
    ###
    1) Bei den Permissions fehlen die Schreibrechte, es müsste sich dann wohl um ein File handeln, das geändert wird

    2) Beim Hoster habe ich bereits nachgefragt.

    Die Antwort:
    ...
    Die Fehlermeldung deutet darauf hin, dass Scripte, Plugins oder Themes die Sie benutzen, nicht kompatibel mit der Version von PHP sind.
    ...

    Ich bitte um Ihr Verständnis, dass ... keinen Support für Ihre Scripte leisten kann.


    Einen Kommentar schreiben:


  • Gerd pd
    antwortet
    Zitat von hausl Beitrag anzeigen
    Was sagt das SMF Forum dazu?
    Die Diskussion zu meinem Problem im SMF-Forum findet man unter:
    https://www.simplemachines.org/commu...topic=570702.0

    Hier hoffe ich, eine nähere Erklärung zur Fehlermeldung zu bekommen, mit der ich debuggen kann.

    Danke für Tipps

    Einen Kommentar schreiben:


  • protestix
    antwortet
    Ohne verständlichen Grund ist ein Forum plötzlich nicht mehr erreichbar.
    Der Grund ist nur dir nicht verständlich, andere Personen würden das anders sehen.

    Es scheint auch so, dass es was mit den File Permissions zu tun hat, die Frage ist nur warum es jetzt nicht geht, wenn es vorher ging.

    Ein erster Anlaufpunkt wäre sicherlich der Hoster.
    Frage den doch mal. Der weiss sicher mehr als wir dir je verraten können, aufgrund deiner Angaben.

    Einen Kommentar schreiben:


  • hausl
    antwortet
    Was sagt das SMF Forum dazu?

    Bitte beachten: Fachfragen zu bestimmten Softwareprodukten


    Weil ich es ganz nebenbei mal mitbekommen habe.. SMF in alten Versionen und/oder unter alten PHP Versionen hat Probleme mit IPv6. Ob es damit was zu tun hat keine Ahnung, wie gesagt frag mal dort im Forum.


    MOD: Verschoben von PHP-Einsteiger

    Einen Kommentar schreiben:

Lädt...
X